package cn.reghao.bnt.web.admin.service;

import cn.reghao.bnt.web.admin.model.dto.AccountInfo;
import cn.reghao.bnt.web.admin.model.vo.AccountToken;
import cn.reghao.bnt.web.admin.security.form.AccountAuthToken;
import org.springframework.stereotype.Service;

/**
 * @author reghao
 * @date 2025-11-25 16:31:51
 */
@Service
public class AccountTokenService {
    private final AccountService accountService;

    public AccountTokenService(AccountService accountService) {
        this.accountService = accountService;
    }

    public AccountInfo getAccountInfo(int userId) {
        return accountService.getAccountInfo();
    }

    public String getUserIdStr(int userId) {
        return "";
    }

    public AccountToken grantUserToken(AccountAuthToken authToken) {
        return null;
    }
}
